Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.html
Class TextArea

    java.lang.Object
      org.mortbay.html.Element
          org.mortbay.html.Composite
              org.mortbay.html.Block
                  org.mortbay.html.TextArea

    public class TextArea

extends Block

A Text Area within a form.

The text in the textarea is handled by the super class, Text

See Also:
  `Text`

Field Summary

Fields inherited from class org.mortbay.html.Block
`Bold, Center, Div, Italic, Left, Listing, Plain, Pre, Quote, Right, Span, Xmp`

Fields inherited from class org.mortbay.html.Composite
`elements, nest`

Fields inherited from class org.mortbay.html.Element
`ALIGN, attributeMap, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, STYLE, TOP, VALIGN, WIDTH`

Constructor Summary
`TextArea(String name)`
`TextArea(String name, String s)`

Method Summary
`TextArea` | `setSize(int cols, int lines)`

Methods inherited from class org.mortbay.html.Block
`write`

Methods inherited from class org.mortbay.html.Composite
`add, contents, nest, replace, reset, setNest, size, unnest`

Methods inherited from class org.mortbay.html.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextArea

    public TextArea(String name)

Parameters:
  `name` - The name of the TextArea within the form

### TextArea

    public TextArea(String name,
                    String s)

Parameters:
  `name` - The name of the TextArea within the form
  `s` - The string in the text area

Method Detail

### setSize

    public TextArea setSize(int cols,
                            int lines)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.